ru.bitel.bgbilling.modules.mps.server.bean

## Class ColomnaTransactionManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.mps.server.bean.MPSTransactionManager
  - - ru.bitel.bgbilling.modules.mps.server.bean.GenericOSMPTransactionManager
    - - ru.bitel.bgbilling.modules.mps.server.bean.ColomnaTransactionManager

-     public class ColomnaTransactionManager
      extends GenericOSMPTransactionManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `nameAccount`
    `protected java.lang.String` | `nameCommand`
    `protected java.lang.String` | `nameTxnDate`
    `protected java.lang.String` | `nameTxnID`
    `protected java.lang.String` | `resultPrvTxnID`
    `protected java.lang.String` | `resultTxnID`
    `protected static java.lang.String` | `TIMEPATTERN`
    `protected static java.util.regex.Pattern` | `TRANSACTION_PATTERN`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.mps.server.bean.MPSTransactionManager

      `ACTION_CANCEL, ACTION_CHANGE, ACTION_CHECK, ACTION_PAY, ACTION_PAY_ON_CHECK, ACTION_STATUS, documentBuilder, ERROR_MPS_CONTRACT_NOTFOUND, ERROR_MPS_DATA, ERROR_MPS_DATE, ERROR_MPS_DATE_FIELD, ERROR_MPS_EDIT_NOT_SUPPORTED, ERROR_MPS_HASH, ERROR_MPS_ISOFF, ERROR_MPS_NUMBER_PATTERN, ERROR_MPS_OUT_OF_MONEY, ERROR_MPS_PAY_EXIST, ERROR_MPS_PAY_NOTEXIST, ERROR_MPS_REQUEST, ERROR_MPS_SERVER, ERROR_MPS_SUM_BIG, ERROR_MPS_SUM_SMALL, ERROR_MPS_SUM_TOOSMALLORBIG, ERROR_MPS_TRANSACTION_ID_FIELD, ERROR_MPS_TYPE, log, MPS_CYBERPLAT, MPS_FROMGATEWAY, MPS_OSMP, p1, p2, p3, pNumber, REQUEST_ATTRIBUTE_PARAMETERS, REQUEST_ATTRIBUTE_PATH_INFO`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColomnaTransactionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkValid(Conf.MPSSystem system, MPSRequest req, java.sql.Connection con)` Проверка на валидность запроса
    `java.lang.String` | `getEncoding()`
    `protected java.util.regex.Pattern` | `getFilePattern()`
    `protected java.lang.String` | `getFileTimePattern()`
    `protected byte[]` | `getResponse(java.sql.Connection con, Conf.MPSSystem system, MPSResponse response)`
    `protected java.util.List<Transaction>` | `getTransactionListFromFile(Conf.MPSSystem system, java.lang.String file)`
    `protected MPSRequest` | `parseRequest(java.sql.Connection con, int mid, int mpsId, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest request)` Парсинг запроса от системы
    `protected void` | `processError(MPSException ex, MPSResponse response)` Обработка ошибки
    `protected byte[]` | `processRequest(java.sql.Connection con, int mid, int mpsId, Conf conf, Conf.MPSSystem system, javax.servlet.http.HttpServletRequest httpRequest)` Обработка запроса от системы

    - ### Methods inherited from class ru.bitel.bgbilling.modules.mps.server.bean.MPSTransactionManager

      `actionCheck, addTransaction, addTransaction, addTransaction, cancelPreparedTransaction, cancelTransaction, checkTime, clearCanceledTransaction, executePreparedTransaction, executePreparedTransaction, executePreparedTransaction, findContract, getComment, getComment, getContractTitle, getInstance, getResponseAttributes, getTable, getTransactionByTransId, getTransactionByTransId, getTransactionByTransId, getTransactionFromRS, getTransactionList, getTransactionList, getTransactionList, getTransactionList, getTransactionListForDay, getTransactionListFromFileByConfig, getTransactionListFromFileByPattern, getUserLogin, getUserLoginFormatted, init, onPayment, parseBigInteger, prepareTransaction, prepareTransaction, prepareTransaction, preProcess, processRegister, processRegister, processRequest, reviseAddTransactions, reviseCancelTransactions, reviseRestoreTransactions, searchTransactionList, setUserLogin, systemAccountAdd, systemAccountDelete`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIMEPATTERN

          protected static final java.lang.String TIMEPATTERN

      See Also:
        Constant Field Values

    - #### nameCommand

          protected java.lang.String nameCommand

    - #### nameAccount

          protected java.lang.String nameAccount

    - #### nameTxnID

          protected java.lang.String nameTxnID

    - #### nameTxnDate

          protected java.lang.String nameTxnDate

    - #### resultTxnID

          protected java.lang.String resultTxnID

    - #### resultPrvTxnID

          protected java.lang.String resultPrvTxnID

    - #### TRANSACTION_PATTERN

          protected static final java.util.regex.Pattern TRANSACTION_PATTERN

  - ### Constructor Detail

    - #### ColomnaTransactionManager

          public ColomnaTransactionManager()

  - ### Method Detail

    - #### getResponse

          protected byte[] getResponse(java.sql.Connection con,
                                       Conf.MPSSystem system,
                                       MPSResponse response)

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### processRequest

          protected byte[] processRequest(java.sql.Connection con,
                                          int mid,
                                          int mpsId,
                                          Conf conf,
                                          Conf.MPSSystem system,
                                          javax.servlet.http.HttpServletRequest httpRequest)

      Description copied from class: `MPSTransactionManager`
      Обработка запроса от системы
      Specified by:
        `processRequest` in class `MPSTransactionManager`

    - #### parseRequest

          protected MPSRequest parseRequest(java.sql.Connection con,
                                            int mid,
                                            int mpsId,
                                            Conf.MPSSystem system,
                                            javax.servlet.http.HttpServletRequest request)

      Description copied from class: `MPSTransactionManager`
      Парсинг запроса от системы
      Specified by:
        `parseRequest` in class `MPSTransactionManager`

    - #### checkValid

          protected void checkValid(Conf.MPSSystem system,
                                    MPSRequest req,
                                    java.sql.Connection con)
                             throws MPSException

      Description copied from class: `MPSTransactionManager`
      Проверка на валидность запроса
      Overrides:
        `checkValid` in class `MPSTransactionManager`
      Throws:
        `MPSException`

    - #### processError

          protected void processError(MPSException ex,
                                      MPSResponse response)

      Description copied from class: `MPSTransactionManager`
      Обработка ошибки
      Specified by:
        `processError` in class `MPSTransactionManager`

    - #### getTransactionListFromFile

          protected java.util.List<Transaction> getTransactionListFromFile(Conf.MPSSystem system,
                                                                           java.lang.String file)

      Specified by:
        `getTransactionListFromFile` in class `MPSTransactionManager`

    - #### getFilePattern

          protected java.util.regex.Pattern getFilePattern()

    - #### getFileTimePattern

          protected java.lang.String getFileTimePattern()